FIRE Calculator
curl --request POST \
--url https://api.iotools.cloud/v1/tool/fire-calculator \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currentAge": "30",
"annualIncome": "80000",
"annualExpenses": "40000",
"currentSavings": "20000",
"annualReturn": "7",
"swr": "4"
}
'import requests
url = "https://api.iotools.cloud/v1/tool/fire-calculator"
payload = {
"currentAge": "30",
"annualIncome": "80000",
"annualExpenses": "40000",
"currentSavings": "20000",
"annualReturn": "7",
"swr": "4"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
currentAge: '30',
annualIncome: '80000',
annualExpenses: '40000',
currentSavings: '20000',
annualReturn: '7',
swr: '4'
})
};
fetch('https://api.iotools.cloud/v1/tool/fire-calculator', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tool": "fire-calculator",
"tool_version": "1.0.1",
"outputs": {
"summary": [
{
"metric": "FIRE Number",
"value": "$1,000,000"
},
{
"metric": "Years to FIRE",
"value": "14.4 yrs"
},
{
"metric": "Retire At Age",
"value": "44"
},
{
"metric": "Annual Savings",
"value": "$40,000 / yr"
},
{
"metric": "Savings Rate",
"value": "50.0%"
},
{
"metric": "Coast FIRE Number",
"value": "$93,663"
},
{
"metric": "Lean FIRE / Fat FIRE Number",
"value": "$600,000 / $1,320,000"
}
],
"schedule": [
{
"year": "1",
"starting-balance": "$20,000",
"growth": "$1,400",
"ending-balance": "$61,400"
},
{
"year": "2",
"starting-balance": "$61,400",
"growth": "$4,298",
"ending-balance": "$105,698"
},
{
"year": "3",
"starting-balance": "$105,698",
"growth": "$7,399",
"ending-balance": "$153,097"
},
{
"year": "4",
"starting-balance": "$153,097",
"growth": "$10,717",
"ending-balance": "$203,814"
},
{
"year": "5",
"starting-balance": "$203,814",
"growth": "$14,267",
"ending-balance": "$258,081"
},
{
"year": "6",
"starting-balance": "$258,081",
"growth": "$18,066",
"ending-balance": "$316,146"
},
{
"year": "7",
"starting-balance": "$316,146",
"growth": "$22,130",
"ending-balance": "$378,276"
},
{
"year": "8",
"starting-balance": "$378,276",
"growth": "$26,479",
"ending-balance": "$444,756"
},
{
"year": "9",
"starting-balance": "$444,756",
"growth": "$31,133",
"ending-balance": "$515,889"
},
{
"year": "10",
"starting-balance": "$515,889",
"growth": "$36,112",
"ending-balance": "$592,001"
},
{
"year": "11",
"starting-balance": "$592,001",
"growth": "$41,440",
"ending-balance": "$673,441"
},
{
"year": "12",
"starting-balance": "$673,441",
"growth": "$47,141",
"ending-balance": "$760,582"
},
{
"year": "13",
"starting-balance": "$760,582",
"growth": "$53,241",
"ending-balance": "$853,823"
},
{
"year": "14",
"starting-balance": "$853,823",
"growth": "$59,768",
"ending-balance": "$953,590"
},
{
"year": "15",
"starting-balance": "$953,590",
"growth": "$66,751",
"ending-balance": "$1,060,342"
},
{
"year": "16",
"starting-balance": "$1,060,342",
"growth": "$74,224",
"ending-balance": "$1,174,565"
}
]
},
"credits_used": 3,
"credits_remaining": null
}{
"type": "https://iotools.cloud/docs/errors/validation_error",
"title": "Invalid request",
"status": 400,
"code": "validation_error",
"detail": "One or more inputs are invalid — see `fields`.",
"request_id": "e4042b29-8f1e-4c7a-9b52-6f0d1a3c7e11",
"fields": {
"inputString": "Required"
}
}{
"type": "https://iotools.cloud/docs/errors/invalid_api_key",
"title": "Invalid API key",
"status": 401,
"code": "invalid_api_key",
"detail": "Provide 'Authorization: Bearer <key>'.",
"request_id": "e4042b29-8f1e-4c7a-9b52-6f0d1a3c7e11"
}{
"type": "https://iotools.cloud/docs/errors/insufficient_credits",
"title": "Insufficient credits",
"status": 402,
"code": "insufficient_credits",
"detail": "This call costs 1 credit and 0 remain in this month's allowance.",
"request_id": "e4042b29-8f1e-4c7a-9b52-6f0d1a3c7e11",
"credits_used": 0,
"credits_remaining": 0
}{
"type": "https://iotools.cloud/docs/errors/tool_not_allowed",
"title": "Tool not available over the API",
"status": 403,
"code": "tool_not_allowed",
"detail": "\"Background Remover\" is available on iotools.cloud but has no API endpoint.",
"request_id": "e4042b29-8f1e-4c7a-9b52-6f0d1a3c7e11"
}{
"type": "https://iotools.cloud/docs/errors/tool_not_found",
"title": "Tool not found",
"status": 404,
"code": "tool_not_found",
"detail": "No tool with that slug. See GET /v1/tools/list.",
"request_id": "e4042b29-8f1e-4c7a-9b52-6f0d1a3c7e11"
}{
"type": "https://iotools.cloud/docs/errors/payload_too_large",
"title": "Payload too large",
"status": 413,
"code": "payload_too_large",
"detail": "Request body exceeds this tool's size limit.",
"request_id": "e4042b29-8f1e-4c7a-9b52-6f0d1a3c7e11"
}{
"type": "https://iotools.cloud/docs/errors/rate_limited",
"title": "Rate limit exceeded",
"status": 429,
"code": "rate_limited",
"detail": "Too many requests. Retry in 30s.",
"request_id": "e4042b29-8f1e-4c7a-9b52-6f0d1a3c7e11",
"retry_after": 30
}{
"type": "https://iotools.cloud/docs/errors/processing_error",
"title": "Tool failed to run",
"status": 500,
"code": "processing_error",
"detail": "The tool failed to run. Please try again.",
"request_id": "e4042b29-8f1e-4c7a-9b52-6f0d1a3c7e11",
"credits_used": 0
}{
"type": "https://iotools.cloud/docs/errors/tool_disabled",
"title": "Tool temporarily disabled",
"status": 503,
"code": "tool_disabled",
"detail": "This tool is temporarily unavailable. Try again shortly.",
"request_id": "e4042b29-8f1e-4c7a-9b52-6f0d1a3c7e11"
}Calculators
FIRE Calculator
Calculate your Financial Independence / Retire Early (FIRE) number, how many years until you reach it, your savings rate, and Lean/Fat/Coast FIRE reference targets.
POST
/
v1
/
tool
/
fire-calculator
FIRE Calculator
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Current Age
Required range:
1 <= x <= 100Annual Income (after tax, $)
Required range:
x >= 0Annual Expenses ($)
Required range:
x >= 0Current Savings ($)
Required range:
x >= 0Expected Real Return (%)
Required range:
-10 <= x <= 30Safe Withdrawal Rate
Available options:
3.5, 4, 4.5 Response
Tool output
Show child attributes
Show child attributes
The tool's slug, echoing the {slug} in the request path.
Output-contract version for this tool.
Credits this call consumed, after any settlement refund. 0 when metering is disabled.
Credits left in the current monthly allowance, or null when metering is disabled.
Correlation id, also sent as x-request-id.
Was this page helpful?
⌘I